--- title: "Upgrade version" slug: "ses-rollingupgradecluster" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-rollingupgradecluster" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Upgrade version Available in VPC Upgrade a search engine (OpenSearch) cluster version using the rolling method. Before upgrading, make sure to check the following two items. - Version upgrade availability - See [Pre-check version upgrade](/docs/en/ses-rollingupgradeprecheck). - Whether a snapshot exists - You must have a cluster snapshot created within the last 6 hours or before the upgrade for the upgrade to be possible. - Snapshot creation method - Create from NAVER Cloud Platform console: See [Search Engine Service user guide](https://guide.ncloud-docs.com/docs/en/ses-snapshot-vpc). - Create using API: See [Create snapshot](/docs/en/analytics-vpcsearchengine-snapshot-createsnapshot). Caution User data can't be recovered if lost during the upgrade. Make sure to back up your data with a snapshot before proceeding. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/rollingUpgradeCluster (Korea Region) | | POST | /api/sgn-v2/cluster/rollingUpgradeCluster (Singapore Region) | | POST | /api/jpn-v2/cluster/rollingUpgradeCluster (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Required | Region number - See [Get Region list](/docs/en/analytics-vpcsearchengine-cluster-getregionlist). | | `serviceGroupInstanceNo` | String | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | | `targetVersionCode` | String | Required | Search engine version code - See [Get version](/docs/en/analytics-vpcsearchengine-cluster-getsearchengineversionlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/rollingUpgradeCluster' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "regionNo": "1", "serviceGroupInstanceNo": "1037*****", "targetVersionCode": "2150" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: Succeeded - `null`: Failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "62f28b98-****-****-****-0406c09d2741" } ```